OpenNMS API 1.2.9

## org.opennms.report.availability
Class AvailabilityConstants

    java.lang.Object
      org.opennms.report.availability.AvailabilityConstants

public class AvailabilityConstants
extends java.lang.Object

This class is a repository for constant, static information concerning the Availability Reporter Module.

Author:
  Jacinta Remedios , Oculan

Field Summary
`static java.lang.String` `DB_GET_INFO_FOR_IP` The sql statement that is used to get node information for an IP address.
`static java.lang.String` `DB_GET_OUTAGE_ENTRIES` The sql statement for getting outage entries for a nodeid/ip/serviceid
`static java.lang.String` `DB_GET_SVC_ENTRIES` The sql statement that is used to get services information for a nodeid/IP address.
`static java.lang.String` `LAST_30_DAYS_DAILY_DESCR`
`static java.lang.String` `LAST_30_DAYS_DAILY_LABEL` The list of Availability Report Constants that are needed to display appropriate messages on the report.
`static java.lang.String` `LAST_30_DAYS_SVC_AVAIL_DESCR`
`static java.lang.String` `LAST_30_DAYS_SVC_AVAIL_LABEL`
`static java.lang.String` `LAST_30_DAYS_TOTAL_DESCR`
`static java.lang.String` `LAST_30_DAYS_TOTAL_LABEL`
`static java.lang.String` `LAST_MONTH_DAILY_DESCR`
`static java.lang.String` `LAST_MONTH_DAILY_LABEL`
`static java.lang.String` `LAST_MONTH_SVC_AVAIL_DESCR`
`static java.lang.String` `LAST_MONTH_SVC_AVAIL_LABEL`
`static java.lang.String` `LAST_MONTH_TOTAL_DESCR`
`static java.lang.String` `LAST_MONTH_TOTAL_LABEL`
`static java.lang.String` `LAST_MTD_DAILY_DESCR`
`static java.lang.String` `LAST_MTD_DAILY_LABEL`
`static java.lang.String` `LAST_MTD_TOTAL_DESCR`
`static java.lang.String` `LAST_MTD_TOTAL_LABEL`
`static java.lang.String` `NMONTH_TOTAL_DESCR`
`static java.lang.String` `NMONTH_TOTAL_LABEL`
`static java.lang.String` `NOFFENDERS_DESCR`
`static java.lang.String` `NOFFENDERS_LABEL`
`static java.lang.String` `TOP20_SVC_OUTAGES_DESCR`
`static java.lang.String` `TOP20_SVC_OUTAGES_LABEL`

Constructor Summary
`AvailabilityConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DB_GET_INFO_FOR_IP

    public static final java.lang.String DB_GET_INFO_FOR_IP

  The sql statement that is used to get node information for an IP address.

  See Also:
    Constant Field Values

### DB_GET_SVC_ENTRIES

    public static final java.lang.String DB_GET_SVC_ENTRIES

  The sql statement that is used to get services information for a nodeid/IP address.

  See Also:
    Constant Field Values

### DB_GET_OUTAGE_ENTRIES

    public static final java.lang.String DB_GET_OUTAGE_ENTRIES

  The sql statement for getting outage entries for a nodeid/ip/serviceid

  See Also:
    Constant Field Values

### LAST_30_DAYS_DAILY_LABEL

    public static final java.lang.String LAST_30_DAYS_DAILY_LABEL

  The list of Availability Report Constants that are needed to display appropriate messages on the report.

  See Also:
    Constant Field Values

### LAST_30_DAYS_DAILY_DESCR

    public static final java.lang.String LAST_30_DAYS_DAILY_DESCR

See Also:
  Constant Field Values

### LAST_30_DAYS_TOTAL_LABEL

    public static final java.lang.String LAST_30_DAYS_TOTAL_LABEL

See Also:
  Constant Field Values

### LAST_30_DAYS_TOTAL_DESCR

    public static final java.lang.String LAST_30_DAYS_TOTAL_DESCR

See Also:
  Constant Field Values

### LAST_30_DAYS_SVC_AVAIL_LABEL

    public static final java.lang.String LAST_30_DAYS_SVC_AVAIL_LABEL

See Also:
  Constant Field Values

### LAST_30_DAYS_SVC_AVAIL_DESCR

    public static final java.lang.String LAST_30_DAYS_SVC_AVAIL_DESCR

See Also:
  Constant Field Values

### LAST_MONTH_SVC_AVAIL_LABEL

    public static final java.lang.String LAST_MONTH_SVC_AVAIL_LABEL

See Also:
  Constant Field Values

### LAST_MONTH_SVC_AVAIL_DESCR

    public static final java.lang.String LAST_MONTH_SVC_AVAIL_DESCR

See Also:
  Constant Field Values

### LAST_MTD_DAILY_LABEL

    public static final java.lang.String LAST_MTD_DAILY_LABEL

See Also:
  Constant Field Values

### LAST_MTD_DAILY_DESCR

    public static final java.lang.String LAST_MTD_DAILY_DESCR

See Also:
  Constant Field Values

### LAST_MTD_TOTAL_LABEL

    public static final java.lang.String LAST_MTD_TOTAL_LABEL

See Also:
  Constant Field Values

### LAST_MTD_TOTAL_DESCR

    public static final java.lang.String LAST_MTD_TOTAL_DESCR

See Also:
  Constant Field Values

### LAST_MONTH_DAILY_LABEL

    public static final java.lang.String LAST_MONTH_DAILY_LABEL

See Also:
  Constant Field Values

### LAST_MONTH_DAILY_DESCR

    public static final java.lang.String LAST_MONTH_DAILY_DESCR

See Also:
  Constant Field Values

### LAST_MONTH_TOTAL_LABEL

    public static final java.lang.String LAST_MONTH_TOTAL_LABEL

See Also:
  Constant Field Values

### LAST_MONTH_TOTAL_DESCR

    public static final java.lang.String LAST_MONTH_TOTAL_DESCR

See Also:
  Constant Field Values

### NOFFENDERS_LABEL

    public static final java.lang.String NOFFENDERS_LABEL

See Also:
  Constant Field Values

### NOFFENDERS_DESCR

    public static final java.lang.String NOFFENDERS_DESCR

See Also:
  Constant Field Values

### TOP20_SVC_OUTAGES_LABEL

    public static final java.lang.String TOP20_SVC_OUTAGES_LABEL

See Also:
  Constant Field Values

### TOP20_SVC_OUTAGES_DESCR

    public static final java.lang.String TOP20_SVC_OUTAGES_DESCR

See Also:
  Constant Field Values

### NMONTH_TOTAL_LABEL

    public static final java.lang.String NMONTH_TOTAL_LABEL

See Also:
  Constant Field Values

### NMONTH_TOTAL_DESCR

    public static final java.lang.String NMONTH_TOTAL_DESCR

See Also:
  Constant Field Values

Constructor Detail

### AvailabilityConstants

    public AvailabilityConstants()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.